module JobsAutoscaling
  class LoggerAction
    def idle
      log_change("idle")
    end

    def busy
      log_change("busy")
    end

    protected

    def log_change(new_state)
      Rails.logger.info("Worker state is now: #{new_state}")
    end
  end
end
